QGIS Application - Bug report #10411
Geography 4326 polygon points stored in reverse for in MSSQL Server
2014-06-02 12:50 AM - Carlos da Ponte

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Data Provider/MSSQL

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 18827
Description

Looks to be that QGIS is storing the points for Geography 4326 polygons in REVERSE. When the coordinates are corrected in MS SQL
Server the shape shows up in QGIS without an issue.
This issue does not occur with 4326 as Geometry. Posted as a bug per Nathan Woodrow.

Background info:
http://social.msdn.microsoft.com/Forums/sqglserver/en-US/e2cdccce-46e3-4941-a491-37fbe0e7a1f2/sql-server-20082012-polygon-with

some-near-points-covers-the-whole-world?forum=sglspatial

Link to original thread at osgeo
http://0sgeo-org.1560.x6.nabble.com/QGIS-not-displaying-MSSQL-Server-4326-Geography-polygons-td5142783.html#a5142950

Thanks!
C

History

#1 - 2014-06-20 07:54 AM - Jiirgen Fischer
- Category set to Data Provider/MSSQL

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
